Foxit PDF RDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
WatermarkSettings Class Reference
Inheritance diagram for WatermarkSettings:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (position, offset_x, offset_y, flags, scale_x, scale_y, rotation, opacity)
| Constructor, with parameters. More...
| Set (position, offset_x, offset_y, flags, scale_x, scale_y, rotation, opacity)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| flags
| Watermark flags. More...
| offset_x
| Horizontal offset, in points.
| offset_y
| Vertical offset, in points.
| opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
| position
| Watermark position. More...
| rotation
| Rotation angle in degrees.
| scale_x
| Horizontal scale coefficient. It should be greater than 0.001f.
| scale_y
| Vertical scale coefficient. It should be greater than 0.001f.

## Static Public Attributes
static | e_FlagASAnnot
| If set, the watermark will be an annotation when inserted to a PDF page.
static | e_FlagASPageContents
| Enumeration for watermark setting flags. More...
static | e_FlagInvisible
| If set, do not display a watermark.
static | e_FlagNoPrint
| If set, do not print a watermark.
static | e_FlagOnTop
| If set, show watermark above other page content.
static | e_FlagShareImageStream
| If set, watermarks will share one image stream if these watermarks use the same image or bitmap.
static | e_FlagSharePageStream
| If set, watermarks will share one form xobject if these watermarks use the same page object.
static | e_FlagShareTextStream
| If set, watermarks will share one form xobject if these watermarks use the same text and text's related properties.

## Detailed Description

This class represents the watermark settings used to construct a watermark object from any supported resource.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

WatermarkSettings.constructor | ( | position | ,
|  | offset_x | ,
|  | offset_y | ,
|  | flags | ,
|  | scale_x | ,
|  | scale_y | ,
|  | rotation | ,
|  | opacity |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | position | Watermark position. Please refer to values starting from e_PosTopLeft and this should be one of these values.
  [in] | offset_x | Horizontal offset, in points.
  [in] | offset_y | Vertical offset, in points.
  [in] | flags | Watermark flags. Please refer to values starting from WatermarkSettings.e_FlagASPageContents and this can be one or a combination of these values.
  [in] | scale_x | Horizontal scale coefficient. It should be greater than 0.001f.
  [in] | scale_y | Vertical scale coefficient. It should be greater than 0.001f.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.

## ◆ Set()

WatermarkSettings.Set | ( | position | ,
|  | offset_x | ,
|  | offset_y | ,
|  | flags | ,
|  | scale_x | ,
|  | scale_y | ,
|  | rotation | ,
|  | opacity |
| ) |  |

Set value.

Parameters

  [in] | position | Watermark position. Please refer to values starting from e_PosTopLeft and this should be one of these values.
  [in] | offset_x | Horizontal offset, in points.
  [in] | offset_y | Vertical offset, in points.
  [in] | flags | Watermark flags. Please refer to values starting from WatermarkSettings.e_FlagASPageContents and this can be one or a combination of these values.
  [in] | scale_x | Horizontal scale coefficient. It should be greater than 0.001f.
  [in] | scale_y | Vertical scale coefficient. It should be greater than 0.001f.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagASPageContents

WatermarkSettings.e_FlagASPageContents
| static

Enumeration for watermark setting flags.

Values of this enumeration can be used alone or in combination. For more details about form xobjects, please refer to Section 4.9 "Form XObjects" in <PDF Reference 1.7>.

If set, the watermark will be a part of page content when inserted to a PDF page.

## ◆ flags

WatermarkSettings.flags

Watermark flags.

Please refer to values starting from WatermarkSettings.e_FlagASPageContents and this can be one or a combination of these values.

## ◆ position

WatermarkSettings.position

Watermark position.

Please refer to values starting from e_PosTopLeft and this should be one of these values.